Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224032 - CVE-2006-4192 Heap overflow in modplug gstreamer plugin
Summary: CVE-2006-4192 Heap overflow in modplug gstreamer plugin
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gstreamer-plugins
Version: 4.4
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Monty
QA Contact:
URL: http://aluigi.altervista.org/adv/mpth...
Whiteboard: impact=low,source=debian,public=20061...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-23 18:47 UTC by Lubomir Kundrak
Modified: 2013-10-20 22:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-01 14:24:59 UTC


Attachments (Terms of Use)
Upstream patch for CVE-2006-4192 modplug heap overflow (deleted)
2007-01-23 18:47 UTC, Lubomir Kundrak
no flags Details | Diff
Reproducer for CVE-2006-4192 modplug heap overflow (deleted)
2007-01-23 18:50 UTC, Lubomir Kundrak
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 385788 None None None Never

Description Lubomir Kundrak 2007-01-23 18:47:25 UTC
Description of problem:

gstreamer-plugins contains a copy of code that was affected by
CVE-2006-4192, potential heap overflow in
gst/modplug/libmodplug/sndfile.cpp:ReadSample().

The original advisory is here:
http://aluigi.altervista.org/adv/mptho-adv.txt

Version-Release number of selected component (if applicable):

RHEL-3, RHEL-4

How reproducible:

Did not try to reproduce. The advisory contains the POC that should be
able to generate reproducers.

Additional info:

Upstream bug, with fix:
http://bugzilla.gnome.org/show_bug.cgi?id=385788

Debian bug:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=407956

Fixes for the original issue:
http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-libs/libmodplug/files/libmodplug-0.8-CVE-2006-4192.patch?view=markup
http://modplug.svn.sourceforge.net/viewvc/modplug/trunk/OpenMPT/soundlib/Sndfile.cpp?r1=156&r2=163
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=383574

Comment 1 Lubomir Kundrak 2007-01-23 18:47:26 UTC
Created attachment 146331 [details]
Upstream patch for CVE-2006-4192 modplug heap overflow

Comment 2 Lubomir Kundrak 2007-01-23 18:50:42 UTC
Created attachment 146333 [details]
Reproducer for CVE-2006-4192 modplug heap overflow

This issue is the "Second Attack" mentioned in the POC code.

Comment 3 Bastien Nocera 2007-02-01 14:24:59 UTC
From the patch:
+gst-plugins-bad0.10 (0.10.3-3.1) unstable; urgency=high

We don't ship the "-bad" plugins of GStreamer, nor do we intend to, so not a
problem there.


Note You need to log in before you can comment on or make changes to this bug.